.container {
  display: flex;
  flex-direction: column;
  height: 100vh;
}

.main {
  flex-grow: 1;
  z-index: 1;
  position: relative;
}

.header {
  z-index: 2;
}

.loadingMessage {
  position: absolute;
  width: 100%;
  text-align: center;
  margin: auto 0;
  font-size: 2rem;
  top: 0;
  bottom: 0;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #ffffffcc;
  opacity: 0;
  transition: opacity 0.5s;
  pointer-events: none;
}

.loadingMessageLoading {
  opacity: 1;
}
